<?php
// Apabila user belum login
if (empty($_SESSION['namauser']) AND empty($_SESSION['passuser'])){
  echo "<link href=\"../../css/style_login.css\" rel=\"stylesheet\" type=\"text/css\" />
        <div id=\"login\"><h1 class=\"fail\">Untuk mengakses modul, Anda harus login dulu.</h1>
        <p class=\"fail\"><a href=\"../../index.php\">LOGIN</a></p></div>";  
}
// Apabila user sudah login dengan benar, maka terbentuklah session
else{
  $aksi = "modul/mod_tag/aksi_tag.php";

  // mengatasi variabel yang belum di definisikan (notice undefined index)
  $act = isset($_GET['act']) ? $_GET['act'] : ''; 

  switch($act){
    // Tampil Tag
    default:
      echo "<h2>FAQ</h2>
          <p><input type=\"button\" value=\"Tambah \" onclick=window.location.href=\"?module=tag&act=tambahtag\" class=\"btn btn-sm btn-primary\"></p>
          <div class=\"table-responsive\">
          <table class=\"table text-start align-middle table-bordered table-hover mb-0\">
          <thead>
         <tr class=\"text-white\"><th>No</th><th>Pertanyaan</th><th>Jawaban</th><th>Aksi</th></tr>
          </thead>
            <tbody>";
            
      $query  = "SELECT * FROM tag ORDER BY id_tag ASC";
      $tampil = mysqli_query($konek, $query);
 
      $no = 1;
      while ($r=mysqli_fetch_array($tampil)){
        echo "<tr><td>$no</td>
                  <td>$r[nama_tag]</td>
                  <td>$r[tgl_mulai]</td>
                  
                  <td><a href=\"?module=tag&act=edittag&id=$r[id_tag]\" class=\"btn btn-sm btn-primary\">Edit</a> | 
	                    <a href=\"$aksi?module=tag&act=hapus&id=$r[id_tag]\" class=\"btn btn-sm btn-primary\">Hapus</a></td>
             </tr>";
        $no++;
      }
    echo "</tbody>
      </table>
      </div>
       ";
    break;
  
    // Form Tambah Tag
    case "tambahtag":
      echo "<h2>Tambah</h2>
          <form method=\"POST\" action=\"$aksi?module=tag&act=input\">
          <table class=\"table text-start align-middle table-bordered table-hover mb-0\">

           <tr class=\"text-white\"><td>Pertanyaan</td><td> <input type=\"text\" name=\"nama_tag\" class=\"form-control\" style=\"background-color: #fff;\"></td></tr>
          <tr class=\"text-white\"><td>Jawaban</td><td> 
<textarea name=\"tgl_mulai\" id=\"lokomedia\" style=\"width: 800px; height: 150px;\"></textarea></td></tr>
       

         
          <tr class=\"text-white\"><td colspan=\"2\"><input type=\"submit\" value=\"Simpan\" class=\"btn btn-sm btn-primary\">
                                <input type=\"button\" value=\"Batal\" onclick=\"self.history.back()\" class=\"btn btn-sm btn-primary\"></td></tr>                                
          </table>
          </form>";
     break;
  
    // Form Edit Tag  
    case "edittag":
      $query = "SELECT * FROM tag WHERE id_tag='$_GET[id]'";
      $hasil = mysqli_query($konek, $query);
      $r     = mysqli_fetch_array($hasil);

      echo "<h2>Edit</h2>
          <form method=\"POST\" action=\"$aksi?module=tag&act=update\">
          <input type=\"hidden\" name=\"id\" value=\"$r[id_tag]\">
          <table class=\"table text-start align-middle table-bordered table-hover mb-0\">
         

         
          <tr class=\"text-white\"><td>Pertanyaan</td><td> <input type=\"text\" name=\"nama_tag\" value=\"$r[nama_tag]\" class=\"form-control\" style=\"background-color: #fff;\"></td></tr>

           <tr class=\"text-white\"><td>Jawaban</td><td> 


       

 <textarea name=\"tgl_mulai\"  id=\"lokomedia\" style=\"width: 800px; height: 150px;\">$r[tgl_mulai]</textarea>



           </td></tr>



          ";
          
         

      echo "<tr><td colspan=\"2\"><input type=\"submit\" value=\"Update\" class=\"btn btn-sm btn-primary\">
                                  <input type=\"button\" value=\"Batal\" onclick=\"self.history.back()\" class=\"btn btn-sm btn-primary\"></td></tr>
          </table>
          </form>";
    break;  
  }
}
?>
